LibreOffice LibreOffice 4.3 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | List of all members
XDesktopTask Interface Referencepublished

use XFrame instead of this More...

`import"XDesktopTask.idl";`

Inheritance diagram for XDesktopTask:

## Public Member Functions
void | initialize ([in] com::sun::star::awt::XWindow TaskWindow)
| use com::sun::star::lang::XInitialization instead. More...
boolean | close ()
| use com::sun::star::util::XCloseable or com::sun::star::lang::XComponent::dispose() instead. More...
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references. More...
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object. More...
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

use XFrame instead of this

Deprecated:

## Member Function Documentation

boolean close | ( |  | ) |

use com::sun::star::util::XCloseable or com::sun::star::lang::XComponent::dispose() instead.

Deprecated:

void initialize | ( | [in] com::sun::star::awt::XWindow | TaskWindow | ) |

use com::sun::star::lang::XInitialization instead.

Deprecated:

The documentation for this interface was generated from the following file:

- com/sun/star/frame/XDesktopTask.idl